
QGIS Application - Bug report #20672

mysql 5.7.22 connection/feature viewing & editing

2018-11-29 11:40 AM - Gary Duckers

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28492

Description

I can no longer view features when connected to mysql 5.7.22 from QGIS 3.4.1 without a feature filter applied. Once applied I can no

longer edit features. This database is my primary work database so this is a bit of a nightmare and severely affects our company

workflow. Hopeful a fix can be made.

History

#1 - 2018-11-29 11:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

There have been fixes for mysql lately, maybe they are only in master, don't know for sure. If it works on 2.18 you should use that, is the official LTR release

until Feb 2019.

#2 - 2019-03-09 11:07 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
